%define build_tainted	0

%if "%{?distro_section}" == "tainted"
%define build_tainted	1
%endif

%define major		1
%define libname		%mklibname %{name} %{major}

%define atomicmajor	0
%define libatomic	%mklibname atomicparsley %{atomicmajor}

%define develname	%mklibname %{name} -d

Name:		gtkpod
Summary:	GTK interface to iPod
Version:	2.1.4
Release:	%mkrel 1
Source0:	http://prdownloads.sourceforge.net/gtkpod/%{name}-%{version}.tar.gz
Patch1:		gtkpod-2.1.2-link.patch
Patch2:		gtkpod-2.1.0-pref.patch
Patch4:		gtkpod-2.1.2-mb4.patch
Patch6:		gtkpod-2.1.2-new-automake.patch
URL:		http://gtkpod.sourceforge.net/
License:	GPLv2+
Group:		Communications/Mobile
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0
BuildRequires:	pkgconfig(flac) >= 1.2.1
BuildRequires:	pkgconfig(gdk-3.0) >= 3.0.11
BuildRequires:	pkgconfig(gdl-3.0) >= 3.0.0
BuildRequires:	pkgconfig(gio-2.0) >= 2.28.5
BuildRequires:	pkgconfig(glib-2.0) >= 2.28.5
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.28.5
BuildRequires:	pkgconfig(gstreamer-0.10) >= 0.10.25
BuildRequires:	pkgconfig(gstreamer-base-0.10) >= 0.10.25
BuildRequires:	pkgconfig(gstreamer-interfaces-0.10) >= 0.10.25
BuildRequires:	pkgconfig(gstreamer-pbutils-0.10) >= 0.10.25
BuildRequires:	pkgconfig(gstreamer-plugins-base-0.10) >= 0.10.25
BuildRequires:	pkgconfig(gthread-2.0) >= 2.28.5
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.8
BuildRequires:	pkgconfig(id3tag) >= 0.15
BuildRequires:	pkgconfig(libanjuta-3.0) >= 2.91
BuildRequires:	pkgconfig(libbrasero-media3) >= 3.0
BuildRequires:	pkgconfig(libcurl) >= 7.10.0
BuildRequires:	pkgconfig(libdiscid)
BuildRequires:	pkgconfig(libgpod-1.0) >= 0.7.0
BuildRequires:	pkgconfig(libmusicbrainz4) >= 4.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.7.7
BuildRequires:	pkgconfig(vorbisfile) >= 1.3.1
BuildRequires:	pkgconfig(webkitgtk-3.0) >= 1.3
BuildRequires:	flex
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	desktop-file-utils

%if %{build_tainted}
BuildRequires:	faad2
Requires:	faad2
%endif

Suggests:	%mklibname mp4v2_ 1
Suggests:	gstreamer0.10-flac
Suggests:	gstreamer0.10-plugins-good
Suggests:	gstreamer0.10-plugins-base
#gw for anjuta-preferences-general-48.png
#bug #7768
Requires:	anjuta

%description
gtkpod is a platform independent GUI for Apple's iPod using GTK2. It allows
you to upload songs and playlists to your iPod. It supports ID3 tag editing,
multiple charsets for ID3 tags, detects duplicate songs, allows offline
modification of the database with later synchronisation, and more.

gtkpod allows you to
    * Read your existing iTunesDB (i.e. import the existing contents of
      your iPod).
    * Add mp3 files to the iPod. You can choose the charset the ID3 tags
      are encoded in from within gtkpod. The default is the charset
      currently used by your locale setting.
    * When adding songs, gtkpod detects duplicates (opt).
    * Remove songs from the iPod.
    * Create and modify playlists.
    * Modify ID3 tags -- changes are also updated in the original file (opt)
    * Write the updated iTunesDB and added songs to your iPod.
    * Work offline and synchronize your new playlists / songs with the iPod
      at a later time.
%if %{build_tainted}
This package is in "Tainted" as it requires package from "Tainted".
%endif

%package -n %{libname}
Summary:	Library package for %{name}
Group:		System/Libraries

%description -n %{libname}
Library package for %{name}.

%package -n %{libatomic}
Summary:	Library package for %{name}
Group:		System/Libraries

%description -n %{libatomic}
Library package for %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libatomic} = %{version}-%{release}

%description -n %{develname}
Development files for %{name}, you need this package if you want to compile
applications against %{name}.

%prep
%setup -q -n %name-%{version}
%patch1 -p0 -b .link
%patch2 -p1 -b .pref
%patch4 -p0 -b .mb4
%patch6 -p1

%build
autoreconf -vfi
%configure2_5x \
%if !%{build_tainted}
	--without-mp4 \
%endif
	--disable-static
%make

%install
%makeinstall_std

%find_lang %{name}

desktop-file-install --vendor="" \
  --add-mime-type="x-content/audio-player" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

# don't ship .la
find %{buildroot} -name '*.la' -delete

#fix pkgconfig file
sed -i "s^%{version}~.*^%version^" %buildroot%_libdir/pkgconfig/*.pc

%files -f %{name}.lang
%doc README AUTHORS NEWS
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_libdir}/%{name}/*.plugin
%{_libdir}/%{name}/*.so
%{_datadir}/%{name}
%{_datadir}/applications/gtkpod.desktop
%{_datadir}/icons/hicolor/*/apps/gtkpod.*
%{_mandir}/man1/gtkpod.1*

%files -n %{libname}
%{_libdir}/libgtkpod.so.%{major}*

%files -n %{libatomic}
%{_libdir}/libatomicparsley.so.%{atomicmajor}
%{_libdir}/libatomicparsley.so.%{atomicmajor}.*

%files -n %{develname}
%{_includedir}/gtkpod/
%{_libdir}/libgtkpod.so
%{_libdir}/libatomicparsley.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Fri Oct 11 2013 dams <dams> 2.1.4-1.mga4
+ Revision: 495223
- new version 2.1.4 (remove useless patches)

* Thu Aug 01 2013 dams <dams> 2.1.3-6.mga4
+ Revision: 462443
- rebuild for new cogl

* Sun Jul 14 2013 sander85 <sander85> 2.1.3-5.mga4.tainted
+ Revision: 454282
- Rebuild for new cogl

* Wed May 29 2013 gw666 <gw666> 2.1.3-4.mga4.tainted
+ Revision: 431408
- depend on anjuta (bug #7768)

* Mon May 27 2013 fwang <fwang> 2.1.3-3.mga4
+ Revision: 428633
- fix build with anjuta 3.8 with upstream patch
- rebuild for new cogl

* Sat Jan 12 2013 umeabot <umeabot> 2.1.3-2.mga3.tainted
+ Revision: 352911
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 gw666 <gw666> 2.1.3-1.mga3.tainted
+ Revision: 339977
- readd acciidently removed patch
- new version
- drop patches 0,3,6

* Wed Jan 02 2013 gw666 <gw666> 2.1.2-9.mga3
+ Revision: 337581
- add patch for new automake

* Wed Dec 26 2012 fwang <fwang> 2.1.2-8.mga3.tainted
+ Revision: 335325
- revert gst0.10 req
- do not promote gst 0.10 as webkit3 is built with gst 1.0

  + gw666 <gw666>
    - for backports: apply anjuta patch on cauldron only

* Wed Dec 05 2012 gw666 <gw666> 2.1.2-7.mga3
+ Revision: 326854
- remove ChangeLog, add NEWS
- add patch for gdl build errors
- fix faad configure option

* Sun Sep 30 2012 fwang <fwang> 2.1.2-6.mga3.tainted
+ Revision: 300969
- update rpm group
- rebuild for new cogl

* Thu Sep 06 2012 fwang <fwang> 2.1.2-5.mga3.tainted
+ Revision: 288730
- rebuild for new gdl

* Tue Aug 07 2012 wally <wally> 2.1.2-4.mga3
+ Revision: 279737
- fix lib and devel pkg groups

* Fri Jul 27 2012 fwang <fwang> 2.1.2-3.mga3.tainted
+ Revision: 275032
- suggests several plugins

* Fri Jul 27 2012 fwang <fwang> 2.1.2-2.mga3.tainted
+ Revision: 275021
- fix mb4 linkage

* Fri Jul 27 2012 fwang <fwang> 2.1.2-1.mga3
+ Revision: 275016
- update file list
- br discid
- fix str fmt
- cleanup br
- br mb4
- fix linkage
- new version 2.1.2

* Fri Jul 27 2012 fwang <fwang> 2.1.1-3.mga3
+ Revision: 274998
- fix build with latest anjuta
- rebuild for new gdl

  + wally <wally>
    - rebuild for new gdl

* Fri Jun 01 2012 fwang <fwang> 2.1.1-1.mga3
+ Revision: 252824
- new version 2.1.1

* Sun May 13 2012 pterjan <pterjan> 2.1.0-5.mga2
+ Revision: 235624
- Rebuild for new gdl

* Mon Apr 02 2012 fwang <fwang> 2.1.0-4.mga2
+ Revision: 227748
- br gettext
- rebuild for new gdl

* Sat Nov 26 2011 wally <wally> 2.1.0-3.mga2.tainted
+ Revision: 172434
- autoreconf sources
- fix tainted build requires
- new version 2.1.0
- enable tainted build
- drop P0, add P1 and P2 from OpenSUSE
- clean .spec a bit

  + dmorgan <dmorgan>
    - Rebuild against new libgdl

  + fwang <fwang>
    - rebuild for new gdl

* Tue Jun 21 2011 fwang <fwang> 2.1.0-0.20110621.2.mga2
+ Revision: 111341
- rebuild

* Tue Jun 21 2011 fwang <fwang> 2.1.0-0.20110621.1.mga2
+ Revision: 111174
- disable certain plugins, as they report errors when compiling
- new version 2.1.0 snapshot

* Sun May 15 2011 pterjan <pterjan> 2.0.0-5.mga1
+ Revision: 99001
- Rebuild for fixed find-requires

* Sat Apr 30 2011 misc <misc> 2.0.0-4.mga1
+ Revision: 94002
- increase Release to let people upgrade even from backport

* Wed Apr 20 2011 ahmad <ahmad> 2.0.0-1.mga1
+ Revision: 89311
- Update to 2.0.0
- Add lib package
- Drop patch3 (mountpoint), fixed upstream
- Rediff patch1 (cover.patch)
- Add patch to fix format string
- Add patch to fix building with deprecated GTK+ API
- Add BR: anjuta-devel, libgdl-devel, webkitgtk-devel, gstreamer0.10-devel
- Disable static building, and don't ship .la
- m4a plugin is disabled as it require faad2-devel BR, remember to enable it
  once we can build packages for two targets

* Sat Feb 26 2011 supp <supp> 1.0.0-1.mga1
+ Revision: 60098
- imported package gtkpod

